%global pypi_name oslo.limit

Summary:	OpenStack oslo.limit library	
Name:		python-oslo-limit
Version:	2.0.1
Release:	2%{?dist}
License:	Apache-2.0
URL:		https://opendev.org/openstack/%{pypi_name}
Source0:	%{pypi_source}	

BuildArch:	noarch

%description
Oslo.limit is the limit enforcement library to assist with quota calculation.
It aims to provide support for quota enforcement across all OpenStack services.

%package -n python3-oslo-limit
Summary:	OpenStack oslo.limit library 

BuildRequires:  python3-devel python3-setuptools
BuildRequires:  python3-pbr python3-pip python3-wheel
BuildRequires:  python3-pyyaml python3-oslo-serialization python3-oslo-utils
BuildRequires:  python3-oslo-config python3-oslo-context python3-oslo-i18n
BuildRequires:  python3-stevedore python3-coverage python3-requests-mock
BuildRequires:  python3-requests python3-sphinx python3-oslotest python3-stestr
Requires:       python3-pyyaml python3-oslo-config python3-oslo-context
Requires:       python3-oslo-i18n python3-oslo-serialization python3-oslo-utils
Requires:       python3-requests python3-stevedore
Provides:       python-oslo-limit

%description -n python3-oslo-limit
This package provides an OpenStack library for limit.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
cp -arf doc %{buildroot}%{_pkgdocdir}

%files -n python3-oslo-limit
%{python3_sitelib}/*
%{_docdir}/*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.1-2
- Rebuilt for loongarch release

* Sat Oct 07 2023 jackeyji <jackeyji@tencent.com> - 2.0.1-1
- initial build
